| Home | Libraries | People | FAQ | More

## Function anonymous_shared_memory

boost::interprocess::anonymous_shared_memory

## Synopsis

    // In header: <boost/interprocess/anonymous_shared_memory.hpp>

    mapped_region anonymous_shared_memory(std::size_t size, void * address = 0);

## Description

A function that creates an anonymous shared memory segment of size "size". If "address" is passed the function will try to map the segment in that address. Otherwise the operating system will choose the mapping address. The function returns a `mapped_region` holding that segment or throws `interprocess_exception` if the function fails.